<?php

/*
 * Title: Tweets by Geolocation
 * Author: Luke Browning
 * Homepage: http://www.lukebrowning.com/
 * Description: Fetch tweets from within a certain radius of a certain location defined by 
 * 				longitude and latitude and provide a link back to them.
 * Parameters:	
 *	 $long: Longitude (e.g. '40.757929')
 *	 $lat: Latitude (e.g. '-73.985506')
 *	 $radius: Distance (e.g '25km')
 *	 $numberOfTweets: Number of tweets to display (e.g. 2)
 */

function getGeoTwitterFeed($long, $lat, $radius, $numberOfTweets ) {

	//spacer - do not change
	$sp = '%2C';

	//generate rss link
	$link = 'http://search.twitter.com/search.rss?geocode=' . $long . $sp . $lat . $sp . $radius;
	
	//load the feed into an xml element
	$current_xml = new SimpleXMLElement($link, null, true);

	//begin output as unordered list
	print '<ul>';
	
	//count how many tweets have been output
	$count = 0;
	
	//print out each twitter link
	foreach($current_xml->channel->item as $item) {
	
		//remove all php and html tags
		$item->title = strip_tags($item->title);
		
		//check limit of tweets to output
		if($count <= $numberOfTweets) {
			
			//output link
			print '<li><a href="' . $item->link .'">' . $item->title . '</a></li>' ;
			
			//increment counter for number of tweets output
			$count++;
		}
	
	}
	
	//end unordered list
	print '</ul>';
	
}

?>